#ifndef PRIV_MAP_H
#define PRIV_MAP_H

#include "map.h"
#include "packets.h"

extern struct civ_map { 
  int xsize, ysize;
  int is_earth;
  struct tile *tiles;
} map;

extern struct terrain_misc terrain_control;

void add_tile_type(struct packet_ruleset_terrain *p);
void update_terrain_control(struct terrain_misc *p);
void init_map(struct packet_map_info *p);
void update_tile(struct packet_tile_info *p);

#endif
